//  main: main.less, out: ../style.css

/* 
====================================================================================================================================
NEWS
======================================================================================================================================
*/

.c-news {
    .u-flex-display;
    .u-flex-wrap(wrap);
    .u-justify-content(flex-start);
    margin: @margin__m auto;
    max-width: 1380px;
   @media @media_smartphone {
       margin: @margin__s auto @margin__m;
   } 
}

.c-lastnews {
    margin: @margin__l auto;

    .c-lastnews__item {
        margin: 0;
        width: calc(33% ~'-'@margin__s);

    }

    .title {
        margin: 0;
    }
    @media @media_tablet, @media_smartphone {
        .c-lastnews__item {
            margin: @margin__s/2 0;
            width: 100%;
        }
    }
}

.c-lastnews__header {
    margin-bottom: @margin__s;
    .u-flex-display;
    .u-justify-content(space-between);
    .u-align-items(flex-end);
    .o-button {
        margin: 10px 0;
    }
    @media @media_smartphone {
        .u-flex-direction(column);
        .u-justify-content(center);
        .u-align-items(center);
        margin-bottom: 0;
    }
}
.c-news__title {
    @media @media_smartphone {
        font-size: @size__m!important;
        line-height: 1.4em!important;
    }
}

.c-news__body {
    padding: @margin__s @margin__m;
    max-width: @l_tablet;
    margin: 0 auto @margin__l;
    .u-shadow(@shadow);
    @media @media_tablet, @media_landascape {
        max-width: initial;
        margin-top: @margin__m;
        width: calc(100% ~'-' @margin__m*2);
    }
    @media @media_smartphone {
        max-width: initial;
        margin-top: @margin__s;
        width: calc(100% ~'-' @margin__s*2);
        padding: @margin__s;
    }
}

.c-news__date {
    width: 100%;
    text-align: right;
    color: @color-secondary;
    @media @media_tablet, @media_smartphone, @media_tablet {
        text-align: left;
        font-size: @size__s;
    }
}

.c-lastnews__inner {
    .u-flex-display;
    .u-justify-content(space-between);
    @media @media_tablet, @media_smartphone {
        .u-flex-direction(column); 
    }
}

.c-news__archive {
    position: absolute;
    top: 50%;
    right: @margin__m*2;
    margin: 0;
    .u-transform(translateY(-50%));
    @media @media_tablet, @media_landascape {
        right: @margin__m;
    }
    @media @media_smartphone {
        right: @margin__s;
    }
}

.c-lastnews__item {
    position: relative;
    width: calc(33% ~'-'@margin__s*2);
    background-color: white;
    padding: @margin__l/2;
    min-height: 320px;
    margin: @margin__s;
    .u-shadow(@shadow);
    .transition-elastic--long;

    &:hover {
        .u-shadow(@shadow-hover);
    }

    &.withMarginBottom {
        margin-bottom: @margin__m;
    }

    .c-lastnews__date {
        font-family: @font_titles;
        font-size: @size__m;
        color: @color-secondary;
        margin: 0;
    }

    .c-lastnews__title {
        position: absolute;
        top: 50%;
        .u-transform(translateY(-50%));
    }
    @media @media_tablet, @media_smartphone {
        min-height: 100px;
        width: calc(50% ~'-'@margin__s*2);
        .c-lastnews__title {
            position: relative;
            top: initial;
            .u-transform(translateY(0));
        }
        &.withMarginBottom {
            margin-bottom: @margin__s;
        }
    }
    @media @media_smartphone  {
        padding: @margin__s;
        padding: @margin__s;
        width: 100%;
        margin: @margin__s 0;
        &.withMarginBottom {
            margin-bottom: @margin__s/2;
        }
    }
}

.c-news__paginator {
    width: 100%;

    .nav-links {
        .u-flex-display;
        .u-justify-content(center);

        a {
            .o-button;
            .o-button_yellow;
            margin: 10px;
            min-width: 220px;
        }
    }
}